Bug 62272 - apacheconf should require Distutils
apacheconf should require Distutils
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-03-28 19:11 EST by Nalin Dahyabhai
Modified: 2013-04-02 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-28 19:11:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2002-03-28 19:11:19 EST
It's possible to install apacheconf-0.8.1-1 without installing Distutils, but
when you try to run it, you'll get a traceback:

Traceback (innermost last):
  File "/usr/share/apacheconf/ApacheConf.py", line 36, in ?
    import ApacheGizmo
  File "/usr/share/apacheconf/ApacheGizmo.py", line 36, in ?
    import ApacheBase
  File "/usr/share/apacheconf/ApacheBase.py", line 9, in ?
    from xml.xslt.Processor import Processor
  File "/usr/lib/python1.5/site-packages/xml/xslt/__init__.py", line 18, in ?
    from distutils import version
ImportError: No module named distutils
Comment 1 Phil Knirsch 2002-04-12 07:54:44 EDT
Fixed in CVS, will be included in next rawhide version.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.